<!DOCTYPE html>
<html lang="en">
	<head>
        <link rel="stylesheet" href="style/style.css">
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Login</title>
	</head>
	<body>
		<h1>Login</h1>
		<form id="login">
			<input type="text" autocomplete="off" id="username" placeholder="Username" />
			<input type="password" autocomplete="off" id="password" placeholder="Password" />
			<input type="submit" value="Submit Form" />
		</form>

		<script>
			const form = document.getElementById('login')
			form.addEventListener('submit', login)

			async function login(event) {
				event.preventDefault()
				const username = document.getElementById('username').value
				const password = document.getElementById('password').value

				const result = await fetch('/api/login', {
					method: 'POST',
					headers: {
						'Content-Type': 'application/json'
					},
					body: JSON.stringify({
						username,
						password
					})
				}).then((res) => res.json())

				if (result.status === 'ok') {
					// everythign went fine
					console.log('Got the token: ', result.data)
					localStorage.setItem('token', result.data)
					alert('Success')
				} else {
					alert(result.error)
				}
			}
		</script>
	</body>
</html>
